Bug 526717 - virt-inspector fails: No grub default specified at [...]
virt-inspector fails: No grub default specified at [...]
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-01 10:14 EDT by Richard W.M. Jones
Modified: 2010-03-16 13:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-01 12:16:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2009-10-01 10:14:09 EDT
Description of problem:

virt-inspector now fails on a Debian domain:

$ sudo virt-inspector --xml Debian5x64 > inspector/example2.xml
unknown filesystem /dev/hdc
No grub default specified at /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/Sys/Guestfs/Lib.pm line 1597.
Can't use an undefined value as an ARRAY reference at /usr/bin/virt-inspector line 554.

The result (in this case) is truncated XML output.  Bad.

Version-Release number of selected component (if applicable):

1.0.72
Comment 3 Fedora Update System 2009-10-14 11:13:52 EDT
libguestfs-1.0.73-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.73-1.fc11
Comment 4 Fedora Update System 2009-10-14 12:08:24 EDT
libguestfs-1.0.73-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.73-2.el5
Comment 5 Fedora Update System 2009-10-15 04:18:06 EDT
libguestfs-1.0.73-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libguestfs-1.0.73-1.fc12

Note You need to log in before you can comment on or make changes to this bug.